<?php
defined('_JEXEC') or die;

/**
 * Template for Joomla! CMS, created with Artisteer.
 * See readme.txt for more details on how to use the template.
 */

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'functions.php';

// Create alias for $this object reference:
$document = $this;

// Shortcut for template base url:
$templateUrl = $document->baseurl . '/templates/' . $document->template;

Artx::load("Artx_Page");

// Initialize $view:
$view = $this->artx = new ArtxPage($this);

// Decorate component with Artisteer style:
$view->componentWrapper();

JHtml::_('behavior.framework', true);

?>
<!DOCTYPE html>
<html dir="rtl" lang="<?php echo $document->language; ?>">
<head>
    <jdoc:include type="head" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/system.css" />
    <link rel="stylesheet" href="<?php echo $document->baseurl; ?>/templates/system/css/general.css" />

    <!-- Created by Artisteer v4.2.0.60700 -->
    
    
    <meta name="viewport" content="initial-scale = 1.0, maximum-scale = 1.0, user-scalable = no, width = device-width" />

    <!--[if lt IE 9]><script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
    <link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.css" media="screen" type="text/css" />
    <!--[if lte IE 7]><link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.ie7.css" media="screen" /><![endif]-->
    <link rel="stylesheet" href="<?php echo $templateUrl; ?>/css/template.responsive.css" media="all" type="text/css" />
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Architects+Daughter&amp;subset=latin" />


<link rel="shortcut icon" href="<?php echo $templateUrl; ?>/favicon.ico" type="image/x-icon" />
    <script>if ('undefined' != typeof jQuery) document._artxJQueryBackup = jQuery;</script>
    <script src="<?php echo $templateUrl; ?>/jquery.js"></script>
    <script>jQuery.noConflict();</script>

    <script src="<?php echo $templateUrl; ?>/script.js"></script>
    <script src="<?php echo $templateUrl; ?>/script.responsive.js"></script>
    <script src="<?php echo $templateUrl; ?>/modules.js"></script>
    <?php $view->includeInlineScripts() ?>
    <script>if (document._artxJQueryBackup) jQuery = document._artxJQueryBackup;</script>
</head>
<body>

<div id="jetserver_6-main">
<?php if ($view->containsModules('user3', 'extra1', 'extra2')) : ?>
<nav class="jetserver_6-nav">
    <div class="jetserver_6-nav-inner">
    
<?php if ($view->containsModules('extra1')) : ?>
<div class="jetserver_6-hmenu-extra1"><?php echo $view->position('extra1'); ?></div>
<?php endif; ?>
<?php if ($view->containsModules('extra2')) : ?>
<div class="jetserver_6-hmenu-extra2"><?php echo $view->position('extra2'); ?></div>
<?php endif; ?>
<?php echo $view->position('user3'); ?>
 
        </div>
    </nav>
<?php endif; ?>
<header class="jetserver_6-header"><?php echo $view->position('header', 'jetserver_6-nostyle'); ?>

    <div class="jetserver_6-shapes">
        
            </div>

<h1 class="jetserver_6-headline">
    <a href="<?php echo $document->baseurl; ?>/"><?php echo $this->params->get('siteTitle'); ?></a>
</h1>
<h2 class="jetserver_6-slogan"><?php echo $this->params->get('siteSlogan'); ?></h2>

<div class="jetserver_6-positioncontrol jetserver_6-positioncontrol-1770969431" id="LOGO">
<?php echo $view->position('header1', 'jetserver_6-nostyle'); ?></div>
<div class="jetserver_6-positioncontrol jetserver_6-positioncontrol-2033543275" id="SEARCH">
<?php echo $view->position('header2', 'jetserver_6-nostyle'); ?></div>
<div class="jetserver_6-positioncontrol jetserver_6-positioncontrol-1992440012" id="SOCIAL-ICONS">
<?php echo $view->position('header3', 'jetserver_6-nostyle'); ?></div>
<div class="jetserver_6-positioncontrol jetserver_6-positioncontrol-303094034" id="SLIDE-SHOW">
<?php echo $view->position('header4', 'jetserver_6-nostyle'); ?></div>




                
                    
</header>
<div class="jetserver_6-sheet clearfix">
            <?php echo $view->position('banner1', 'jetserver_6-nostyle'); ?>
<?php echo $view->positions(array('top1' => 33, 'top2' => 33, 'top3' => 34), 'jetserver_6-block'); ?>
<div class="jetserver_6-layout-wrapper">
                <div class="jetserver_6-content-layout">
                    <div class="jetserver_6-content-layout-row">
                        <?php if ($view->containsModules('left')) : ?>
<div class="jetserver_6-layout-cell jetserver_6-sidebar1">
<?php echo $view->position('left', 'jetserver_6-block'); ?>




                        </div>
<?php endif; ?>
                        <div class="jetserver_6-layout-cell jetserver_6-content">
<?php
  echo $view->position('banner2', 'jetserver_6-nostyle');
  if ($view->containsModules('breadcrumb'))
    echo artxPost($view->position('breadcrumb'));
  echo $view->positions(array('user1' => 50, 'user2' => 50), 'jetserver_6-article');
  echo $view->position('banner3', 'jetserver_6-nostyle');
  echo artxPost(array('content' => '<jdoc:include type="message" />', 'classes' => ' jetserver_6-messages'));
  echo '<jdoc:include type="component" />';
  echo $view->position('banner4', 'jetserver_6-nostyle');
  echo $view->positions(array('user4' => 50, 'user5' => 50), 'jetserver_6-article');
  echo $view->position('banner5', 'jetserver_6-nostyle');
?>



                        </div>
                    </div>
                </div>
            </div>
<?php echo $view->positions(array('bottom1' => 33, 'bottom2' => 33, 'bottom3' => 34), 'jetserver_6-block'); ?>
<?php echo $view->position('banner6', 'jetserver_6-nostyle'); ?>


    </div>
<footer class="jetserver_6-footer">
  <div class="jetserver_6-footer-inner">
<div class="jetserver_6-content-layout">
    <div class="jetserver_6-content-layout-row">
    <div class="jetserver_6-layout-cell" style="width: 50%">
<?php if ($view->containsModules('footer1')) : ?>
    <?php echo $view->position('footer1', 'jetserver_6-nostyle'); ?>
<?php else: ?>
        <span style="font-weight: bold; font-size: 13px;">
         שם אתר האינטרנט שלנו © 2014 כל הזכויות שמורות</span><br /><a href="#" title="www.domain-name.co.il">www.domain-name.co.il</a> בית מתוק למאפים הטובים ביותר בעיר!
        <br />
    <?php endif; ?>
</div><div class="jetserver_6-layout-cell" style="width: 50%">
<?php if ($view->containsModules('footer2')) : ?>
    <?php echo $view->position('footer2', 'jetserver_6-nostyle'); ?>
<?php else: ?>
        <p style="text-align: left;"><a href="#" title="דף הבית">דף הבית</a> &nbsp; | &nbsp; <a href="#" title="אודותינו">אודותינו</a> &nbsp; | &nbsp; <a href="#" title="המוצרים שלנו">המוצרים שלנו</a> &nbsp; | &nbsp; <a href="#" title="צרו עמנו קשר">צרו עמנו קשר</a><br /></p>
    <?php endif; ?>
</div>
    </div>
</div>

    <p class="jetserver_6-page-footer">
        <span id="jetserver_6-footnote-links">ג'טסרבר <a href="http://jetserver.co.il" target="_blank" title="אחסון אתרים">אחסון אתרים</a></span>
    </p>
  </div>
</footer>

</div>


<?php echo $view->position('debug'); ?>
</body>
</html>